> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get one response

> The response

### Path parameters

<ParamField path="id" type="string (uuid)" required>
  The response id.
</ParamField>

### Response

`Response`

<ResponseField name="object" type="string" />

<ResponseField name="id" type="string" />

<ResponseField name="channel" type="string,null" />

<ResponseField name="customer_message" type="string,null" />

<ResponseField name="agent_response" type="string,null" />

<ResponseField name="rating" type="string,null" />

<ResponseField name="handled_by" type="string,null" />

<ResponseField name="taken_over" type="boolean" />

<ResponseField name="ticket_id" type="string,null" />

<ResponseField name="workflow_id" type="string,null" />

<ResponseField name="created_at" type="string,null" />

### Status codes

| Code  | Meaning                                                  |
| ----- | -------------------------------------------------------- |
| `200` | The response                                             |
| `401` | Missing, invalid, or expired API key.                    |
| `403` | The key lacks a required scope.                          |
| `404` | Not found, or not in the organization that owns the key. |
| `429` | Rate limit exceeded.                                     |

### Access

|                |                         |
| -------------- | ----------------------- |
| Required scope | `responses:read`        |
| Rate limit     | 120 requests per minute |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://response.stateset.com/api/v1/responses/{id}' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "object": "string",
    "id": "string",
    "channel": null,
    "customer_message": null,
    "agent_response": null,
    "rating": null,
    "handled_by": null,
    "taken_over": true,
    "ticket_id": null,
    "workflow_id": null,
    "created_at": null
  }
  ```
</ResponseExample>
